Subject: RE: ITIMER Implimentation???
From: [email-masked] (Alessandro Forin)

3 Dec 1996 21:05:45 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=msft%l=[email-masked]>
Original-To: "[email-masked]'" <[email-masked]>,
        "'Jeremy Allison'" <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Encoding: 47 TEXT
Original-Sender: [email-masked]

When I did the UX server with the rest of the Mach gang we implemented
this
with a separate thread that "slept" as long as needed.  When awoken it
would
send the signal to the app.  We made it so that one single thread
handled
all of the timer requests, from all apps.
I trust you can use this scheme on NT also, using events I suppose.

You will have to SuspendThread()/ResumeThread() the main thread to
serialize properly
[or whatever thread is supposed to take that signal, assuming cygwin is
MT].
This is the same thing NT does for the signals that it does support: it
starts
a second thread to actually execute the signal handler.

VMS does have signals, they are called ASTs.
Signals are bad for you.

sandro-

>----------
>From: 	Jeremy Allison[SMTP:[email-masked]]
>Sent: 	Tuesday, December 03, 1996 3:35 PM
>To: 	[email-masked]
>Cc: 	[email-masked]
>Subject: 	Re: ITIMER Implimentation??? 
>
>Timers are not implemented yet in cygwin32 (Not even in
>the mythical beta17 :-). The reason is that asynchronous
>signals are not available in NT/95 (for reasons see the VMS
>source code or any other of Dave Cutlers work, ie. it's a
>religious thing :-).
>
>I have some ideas on how to do this but involves a complete
>re-write of the I/O code in Cygwin32 so don't expect it anytime
>soon...
>
>Sorry for the bad news.
>
>Jeremy.
>[email-masked]
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".